import { OnInit } from '@angular/core';
import { IMedicationStatement, IPatient } from '@ahryman40k/ts-fhir-types/lib/R4';
import { AbstractAddComponent } from '../../../../shared/abstracts/add/abstract-add/abstract-add.component';
import { ModalController } from '@ionic/angular';
import { FormGroup } from '@angular/forms';
export declare class MedicationAddComponent extends AbstractAddComponent<IMedicationStatement> implements OnInit {
    private modalController;
    patient: IPatient;
    isModal: boolean;
    constructor(modalController: ModalController);
    ngOnInit(): void;
    close(data?: IMedicationStatement): void;
    resetForm(): FormGroup;
}
